% VARIABLE DICTIONARY BALL THROW:
% --------------------------------------------------------------------
%  The defining equation is:   Height = (1/2)gt^2 + v(1)t + h(1)
%  g : gravitational acceleration (-9.81 m/sec^2)
%  dt = time step for the simulation
%  t(i) : time in seconds
%  v(1): initial velocity (m/sec) 30 m/sec
%  h(1): initial height (m) 0
%  v(i+1): velocity at time t(i+1)= v(i) + g*dt
%  h(1): height at time t(i)
% ---------------------------------------------------------------------
function balltoss
clear all;
close all;
% Acceleration due to gravity
g  = -9.81;                
%set time interval and number of computational steps
 to = 0;   
 tf = 10;   
 N = 1000;        
 dt = (tf-to)/N; % time step 
 %initialize variables and set initial conditions
 t = zeros(N+1,1);    
 v = zeros(N+1,1);    
 h = zeros(N+1,1);
 t(1) = to;          
 v(1) = 30;            
 h(1) = 0;
 fprintf('Time   Velocity  Height\n')
 for i = 1:N
   h(i+1) = (1/2)*(g*(dt^2))+v(i)*dt+h(i); 
   fprintf('%4.2f    %4.2f    %4.2f\n' ,t(i),v(i),h(i));
      v(i+1) = v(i) + g*dt;
   t(i+1) = t(i) + dt;
 end
 %plot velocity vs time and distance vs time
  figure(1),
  subplot(2,1,1), plot(t,v);
  grid on;
  %axis([to tf -50 30]);
  title(['Velocity&Position vs Time(dt=',num2str(dt),'sec)'])
  ylabel('Velocity (m/sec)')  
  subplot(2,1,2), plot(t,h);
  grid on;
  %axis([to tf -200 50]);
  ylabel('Height (m)');
  xlabel('Time (sec)');