
%% This code plots data once all values have been obtained

local_speed = 25;  % average speed for local streets (mph)
major_speed = 35;  % average speed for a major street (mph)
normal_freeway = 55; % average freeway speed in normal conditions (mph)
congest_freeway = 20; % average freeway speed during congestion (mph)
red_prob = .05;     % Probability of red light at major intersection
Avg_redlight = 2;   % average time for light to be red
left_on_green = 6;  % number of cars per green arrow on left turn
left_green_arrow = 4; %left turn light cycle time
cars_left_peak = 12;  % number of cars turning left at peak hours
cars_left_off_peak = 4; % off peak left turners
city_block = 1000;
count = 1;
n = length(0.01:0.01:0.5);
fnormal = zeros(1, n);
fcongest = fnormal;
flocal = fnormal;
for red_prob = 0.01:0.01:0.5
   [fnormal(count), fcongest(count), flocal(count)] = traffic1(city_block, local_speed, major_speed, normal_freeway, congest_freeway, red_prob, ...
       Avg_redlight, left_on_green, left_green_arrow, cars_left_peak, cars_left_off_peak);
   count = count + 1;
end

figure;hold('on');
set(gca, 'Box' , 'on');
h1 = plot(fnormal, 'r');
h2 = plot(fcongest, 'g');
h3 = plot(flocal, 'b');
legend([h1, h2, h3], {'Normal', 'Congest', 'Local'});


%% Following code updates the plot as each result is obtained

local_speed = 25;  % average speed for local streets (mph)
major_speed = 35;  % average speed for a major street (mph)
normal_freeway = 55; % average freeway speed in normal conditions (mph)
congest_freeway = 20; % average freeway speed during congestion (mph)
red_prob = .05;     % Probability of red light at major intersection
Avg_redlight = 2;   % average time for light to be red
left_on_green = 6;  % number of cars per green arrow on left turn
left_green_arrow = 4; %left turn light cycle time
cars_left_peak = 12;  % number of cars turning left at peak hours
cars_left_off_peak = 4; % off peak left turners

count = 1;
n = length(0.01:0.01:0.5);
fnormal = zeros(1, n);
fcongest = fnormal;
flocal = fnormal;
figure;hold('on');
set(gca, 'Box' , 'on');
for red_prob = 0.01:0.01:0.5
   [fnormal(count), fcongest(count), flocal(count)] = traffic1(city_block, local_speed, major_speed, normal_freeway, congest_freeway, red_prob, ...
       Avg_redlight, left_on_green, left_green_arrow, cars_left_peak, cars_left_off_peak);
   h1 = plot(red_prob, fnormal(count), 'r*-');
   h2 = plot(red_prob, fcongest(count), 'g*-');
   h3 = plot(red_prob, flocal(count), 'b*-');
   pause(0.1);
   count = count + 1;
end

legend([h1, h2, h3], {'Normal', 'Congest', 'Local'});

